var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import Command, { CommandCategories } from '../lib/baseCommand.js';
import supportsGHA from '../lib/decorators/supportsGHA.js';
import syncDocsPath from '../lib/syncDocsPath.js';
let ChangelogsCommand = class ChangelogsCommand extends Command {
    constructor() {
        super();
        this.command = 'changelogs';
        this.usage = 'changelogs <path> [options]';
        this.description =
            'Sync Markdown files to your ReadMe project as Changelog posts. Can either be a path to a directory or a single Markdown file.';
        this.cmdCategory = CommandCategories.CHANGELOGS;
        this.hiddenArgs = ['filePath'];
        this.args = [
            this.getKeyArg(),
            {
                name: 'filePath',
                type: String,
                defaultOption: true,
            },
            this.getGitHubArg(),
            {
                name: 'dryRun',
                type: Boolean,
                description: 'Runs the command without creating/updating any changelogs in ReadMe. Useful for debugging.',
            },
        ];
    }
    async run(opts) {
        await super.run(opts);
        const { dryRun, filePath, key } = opts;
        return syncDocsPath(key, undefined, this.cmdCategory, this.usage, filePath, dryRun);
    }
};
ChangelogsCommand = __decorate([
    supportsGHA
], ChangelogsCommand);
export default ChangelogsCommand;
